3770Link SNA/RJE Emulation

Installation Guide

Copyright © 1997, 1998, 1999, 2000, 2001, 2002, 2003 Serengeti Systems Incorporated

Attribution

3770Link™ is a trademark of Serengeti System Incorporated. Microsoft, Windows, Windows NT, Windows 2000, Windows 2003 Server, and Windows XP are trademarks or registered trademarks of Microsoft Corporation. Other brand and product names are trademarks or registered trademarks of their respective holders.

Disclaimer

3770Link is sold as is. Serengeti Systems Incorporated (Serengeti) makes no representation or warranties with respect to the contents hereof and specifically disclaims any implied warranties for a particular purpose.

Serengeti shall have no liability for loss or damage caused or alleged to be caused directly or indirectly by this computer program, including but not limited to interruption of service, loss of business or anticipatory profits or consequential damages resulting from the use of this program.

Further, Serengeti reserves the right to revise this publication and program from time to time without notice.

Table of Contents

Technical Support
Requirements
3770Link Remote (3770/R)
3770Link Client (3770/C)
Hardware Installation
Software Installation
Software Removal
Serengeti License Manager
License Manager Instructions
First Run Authorization
Full License Authorization...
Remove License Authorization...
Transfer License Out to Other Location
Prepare to Transfer License In form Other Location
Requesting a Site Key
Online
E-mail or Fax
Upgrading from a Previous Version of 3770Link
Running 3770Link GUI for the First Time
Configuring Physical Unit
Configuring Connection
Configuring Logical Units
Opening a Communications Session
Running 3770Link SO for Unattended Sessions
Installing and Configuring Microsoft SNA Server
Installing SNA Server
Installing SNA Server Client
Installing SNA Workstation
Configuring SNA Server and SNA Workstation for use with 3770Link
Installing and Configuring IBM Communications Server
Installing Communications Server
Installing SNA API Clients
Configuring IBM Communications Server for use with 3770Link

Technical Support

Serengeti Systems support services help ensure your success. Visit the Serengeti web sage (http://www.serengeti.com) to explore the support plan that is right for you.

  • Access to Serengeti Technical Support is available from within the 3770Link GUI by way of your web browser or e-mail (assuming either or both of these are installed on the same PC as 3770Link). Open the Help menu, click Technical Support, and follow the links to the Serengeti Technical Support or to access our support staff via e-mail (see below for more information).

  • Visit the Serengeti web site (http://www.serengeti.com) directly to access our online technical database. You'll find answers to many of the most commonly asked questions at your fingertips.

    If you are unable to find the answer to your question in the online knowledge base, there is also a link to e-mail support from the web site. This page also gives detailed instructions for gathering the information that our support technicians are likely to need in order to diagnose your problem.

  • If web access is unavailable, sum up your question or problem in an e-mail, place your serial number in the subject line and submit this to <Support@Serengeti.com>. This will place the query into our automated support system and the first available support technician will answer your request.

Important

Requests for License Manager authorizations are not accepted by telephone. These requests must be submitted online, via fax, or via e-mail. See the section entitled Serengeti License Manager for more information.


Requirements

Please verify that your system meets the minimum requirements for running 3770Link before attempting to install 3770Link.

3770Link Remote (3770/R)

3770Link Remote (3770/R) operates under Microsoft Windows 2000 Professional, Server, or Advanced Server, Window 2003 Server, and Windows XP.

3770Link Client (3770/C)

3770Link Client (3770/C) requires Microsoft Host Integration Server, Microsoft SNA Server, Microsoft SNA Workstation, or IBM Communications Server. 3770Link itself can be run on a client machine running either Windows 2000, Windows 2003 Server, or Windows XP if you are running Microsoft Host Integration Server, Microsoft SNA Server or IBM Communications Server. However, if you are running Microsoft SNA Workstation, 3770Link must be run on the same machine where SNA Workstation is installed.

Note

We use "SNA Server" in this document to refer to Microsoft Host Integration Server and previous versions of SNA Server.

3770Link can be run on either the same machine on which the server is installed or itcan be run on a network connected client machine. If you do not already have a supported server installed, refer to the appropriate section in this document (Installing and Configuring Microsoft SNA Server or Installing and Configuring IBM Communications Server)and then install 3770Link.

When the server is correctly installed and configured, you are ready to install 3770Link.


Hardware Installation

If you are using 3770Link Remote (3770/R) with the Serengeti SyncPCI SDLC adapter, you should first install the 3770Link software (see Software Installation for details). Next, power down the PC and install the SyncPCI adapter in an available PCI slot. When you power the PC back up Windows will automatically detect the SyncPCI card and install the driver.


Software Installation

Follow the steps below to install 3770Link.

  1. If you received a link to download the software as a self-extracting executable file, click the link and save the file to your desktop. Then, simply double-click on the icon which was created on your desktop in order to launch the 3770Link setup program.

    If you received 3770Link on CD, insert the CD into a drive and the installation should begin automatically - simply follow the instructions.

    If the installation fails to start automatically, select Start->Settings->Control Panel->Add/Remove Programs using the Start menu and follow the instructions on the screen. If you are installing a single user license, it must be installed to a local harddrive (not a network drive).

  2. Upon successful installation, components of 3770Link are added to the 3770Link folder.

  3. If you are using 3770Link Client (3770/C) or 3770Link Remote (3770/R) with AutoSync or DLC you must run License Manager to authorize the program before running either 3770Link GUI or 3770Link SO for the first time. There are two types of authorization: First Run Authorization, which may be done immediately to authorize 3770Link for thirty days of use, and Full Authorization, which fully authorizes 3770Link on the system to which it was installed. If you are using 3770Link Remote (3770/R) with the Serengeti SyncPCI SDLC adapter then you may skip this step.


Software Removal

  1. Before removing an authorized installation of 3770Link, you must first remove authorization by running License Manager and clicking the Remove License Authorization button. Information about the removal of the license is written to a file named removal.txt which you will want to refer to if you need to reauthorize 3770Link at a later time.

  2. To remove the 3770Link software, select Start->Settings->Control Panel->Add/Remove Programs and follow the instructions on the screen. All 3770Link registry entries and files will be removed from your machine. Any files that were not created by the installation process (such as log files, debug files, custom script files and files received from the host) will need to be removed manually.


Serengeti License Manager

The Client, DLC, and AutoSync versions of 3770Link utilize the Serengeti License Manager license control system. 3770Link must be authorized after installation before it can be used. The following sections describe the functionality associated with each button on the main window of License Manager and describe the license authorization process.

Note

License Manager is not utilized for license control with versions of 3770Link that use the SyncPCI SDLC adapters.

Once 3770Link is installed, the license control system operates transparently "behind the scenes" and you will be unaware of its presence. However, you should be aware that the following operations will result in the loss of license authorization:

  • Copying 3770Link and running it from another location

  • Backing up and restoring 3770Link to a different or repartitioned hard drive

Furthermore, running some disk defragmentation utilities, extensive hard disk reorganization, or file deletion may result in the loss of license authorization.

When in doubt it is a good idea to temporarily install the product on another machine and transfer the license to it using License Manager. Perform the operation in question, and then restore authorization back to the original machine. Alternately, you may use License Manager to completely remove the license authorization and then contact Serengeti Systems for full reauthorization.

The use of License Manager in establishing and maintaining 3770Link license authorization is described in the following paragraphs.

License Manager Instructions

Click this button to display the License Manager Help file on your screen.

First Run Authorization

You can immediately authorize 3770Link for thirty (30) days by clicking this button of License Manager. 3770Link will run normally for this period of time permitting you sufficient time to obtain a Site Key in order to fully authorize the application. A First Run Authorization can only be performed once on a machine.

Full authorization is accomplished by contacting Serengeti Systems with your serial number and Site Code generated by License Manager. The required information is written to a file by the name of firstrun.txt upon successful first run authorization and is also displayed when you click the Full License Authorization button.

Note

A First Run Authorization may be performed only once on any given workstation - uninstalling and reinstalling does not result in additional First Run Authorizations.

Full License Authorization...

3770Link must be fully authorized before it can be used beyond the initial thirty-day First Run Authorization period. After obtaining your Site Key (see Requesting a Site Key), you can fully authorize the application by entering your serial number and Site Key in the Full License Authorization dialog and then clicking Authorize.

Once authorized, the application may be used without restriction on the workstation on which it was installed.

Once authorized you may find it necessary to use License Manager again to transfer the application's license to a different location either via removable media (e.g., a diskette) or network connection, or to remove authorization permanently.

Remove License Authorization...

License Manager may be used to completely disable 3770Link by clicking on this button which removes either a first run or full license authorization. Once authorization is removed, 3770Link cannot be run until a fresh Site Key is issued and the license is completely reauthorized. (First Run Authorization cannot be reused.)

To obtain a new Site Key, contact Serengeti Systems with your serial number, the new Site Code, and the Removal Code. This information is written to a file by the name of removal.txt upon successful removal of the license.

Transfer License Out to Other Location

- and -

Prepare to Transfer License In form Other Location

Should it become necessary to relocate 3770Link to a completely different location, the license may be transferred via removable media or network connection using License Manager. Such a transfer is a multi-step process:

  1. Install the product on the target machine. Then, run License Manager and press the Prepare to Transfer License In from Other Location button.

    This involves choosing a directory that will be used to transfer the necessary licensing files from the source machine to the target machine.

    You may choose a network directory that is accessible to both machines, or instead, you may choose a removable media (i.e., a diskette) that you move from one machine to the other when needed.

  2. Next, press the Transfer License Out to Other Location button on the source machine. Here, you will indicate the directory that you used in the previous step.

    If you are using removable media, you must move it now from the target machine to the source machine at this time.

  3. Now you may finish the transfer process on the target machine. If you are using removable media, you must now move it from the source machine back to the target machine.


Requesting a Site Key

There are two primary methods for requesting a Site Key.

Online

Requesting a Site Key online is generally the preferred method since you are able to get an immediate response. Visit the Online Authorization Site (https://lion.serengeti.com/ssiauth/ssiauth.php) and enter your serial number, Site Code, and e-mail address then click Submit to receive your Site Key instantly.

If you are requesting Site Key for a serial number that has already been authorized one or more times, you have two options for requesting a new Site Key:

  1. Submit a Removal Code along with your serial number, Site Code, and e-mail address in the Online Authorization Form. See the Remove License Authorization... section for instructions on creating a Removal Code.

  2. Submit the Online Authorization Form without a Removal Code. When you do this, you will be presented with a Reauthorization Request Form. Complete the form and submit it. You will be contacted with a new Site Key via e-mail within one business day.

E-mail or Fax

If an internet connection is unavailable, you may request a Site Key using e-mail or fax. From the main License Manager window, click the Full License Authorization button. From the Full License Authorization dialog box, click the Create Form button. A dialog similar to the following is displayed:

Fill out the information requested and then click on Create Form to save the form as the file register.txt or click on Print Form to print the form to the default printer. You can send the form to Serengeti Systems via fax or e-mail at:

Fax: (512) 480-8729

E-mail: <Register@Serengeti.com>

Important

Authorization is not available via telephone. Serengeti Systems will respond with your Site Key within one business day.

If you are requesting Site Key for a serial number that has already been authorized one or more times, you have two options for requesting a new Site Key:

  1. Submit a Removal Code along with register.txt in your e-mail or fax. See the Remove License Authorization... section for instructions on creating a Removal Code.

  2. Submit the register.txt along with a brief description of your reason for requesting a new Site Key.


Upgrading from a Previous Version of 3770Link

If you are using one of the versions of 3770Link that utilizes License Manager (Client, DLC, or AutoSync) then you must perform a few steps to upgrade your authorization.

  1. Remove the current authorization. See Remove License Authorization... for details.

  2. Install the new version of the software. You may simply install the new version directly over top of the current version. The installer will detect the previous version and give you the option to maintain or over-write your current settings.

  3. Request a new Site Key using your serial number, the new Site Code, and the Removal Code. See Requesting a Site Key for details.

  4. Authorize the new version of the software. See Full License Authorization... for details


Running 3770Link GUI for the First Time

The first time that you run 3770Link GUI, you must customize the configuration to match the requirements of the host computer with which you wish to communicate.

Configuring Physical Unit

If you are using 3770Link Remote (3770/R) then this is done through the Configure->Physical Unit menu. You will generally need to at least configure the Poll Address, NRZ encoding, Device Type, and Station ID in order to connect to the host system, although the Device Type and Station ID are often not needed for leased line connections.

If you are making a DLC connection there will be other parameters instead of Poll Address and NRZ encoding that must be configured such as Remote Network Address, Remote SAP Address, and Local SAP Address. Consult your system administrator as well as the documentation provided to you by the administrator of the host system to verify what settings are required.

If you are using 3770Link Client (3770/C) then this is done through SNA Server or IBM Communications Server. Refer to the appropriate section in this document (Installing and Configuring Microsoft SNA Server or Installing and Configuring IBM Communications Server) for more information.

Configuring Connection

This may be accomplished through the Configure->Connections menu. You may either modify the dummy connection called Host1, or you may create a new connection by pressing the New Connection button, entering the name of the new connection, and then setting this new connection as the current connection.

After selecting the current connection, the next step is to assign logical units (LUs) to the current connection. Do this by pressing the Logical Unit Assignments button in the Configure->Connections menu.

LU Assignments for 3770Link Remote (3770/R)

The installation automatically creates a dummy LU called LU1 with an LU number of 1 and assigns it to the dummy connection called Host1. You may create additional LUs by clicking the Other LU... button. Click the Help button for more details regarding creating LUs and assigning/unassigning LUs to a connection.

LU Assignments for 3770Link Client (3770/C)

If the SNA Server process is running and one or more LUA LUs have been added to SNA Server's configuration, you will see a list of the available LUA LUs in the "Unassigned Available LUs" list on the left.

Note

If you are running IBM Communications Server, the list of "Unassigned Available LUs" will be blank and you will need to manually enter LU names using the Other LU button, matching the names of LUs that you configured in IBM's "SNA Node Configuration" program.

For example, assuming that you created a new connection called "Putnam" in the previous step and that you added 3 LUA LUs (called RJELU1, RJELU2, and RJELU3) to SNA Server, you would see the following:

To assign an LU to the "Putnam" connection, simply click on the LU that you wish to assign, and then press the Assign LU button. After the LU has been assigned to the "Putnam" connection, it will appear in the "LUs Assigned to Putnam" list on the right.

Configuring Logical Units

After the LUs have been assigned, you need to configure the LUs. This is done through the Configure->Logical Units menu. See the online help for more information on how to configure LUs. The minimum amount of configuration required is to configure the logon parameters for each LU in the current connection. If you are using multiple LUs and the settings for each are identical or very similar to the others, you can configure one LU and then press the Copy Settings From... button to copy the settings from one LU to another.

Opening a Communications Session

After the configuration settings have been saved, you are ready to begin a communications session.

A communications session may be started in one of the following two ways:

  1. Use the 3770Link GUI menus to interactively issue commands such as Connect, Send File, and Disconnect. Note that 3770Link GUI is always ready to receive whenever the line is connected, so there is no need to issue a receive command.

  2. Run a script file which automates the entire communications session. A script file can be run either through the File->Run Script menu of 3770Link GUI, or through the 3770Link SO program. You may customize one of the sample script files or create your own using Notepad or any text editor. 3770Link's script language is documented in the help file.


Running 3770Link SO for Unattended Sessions

The 3770Link SO program allows you to run completely automated, unattended communications sessions. (SO is an abbreviation for Script Only.)

In order to to specify which script file to run with 3770Link SO, create a shortcut to 3770so and add the -s filename switch to the "Target" field in the "Shortcut to 3770so.exe Properties" window, where filename is the name of your script file. Doing this will automatically run the selected script file the next time the shortcut is executed. You may customize one of the sample script files or create your own using Notepad or any text editor. 3770Link's script language is documented in the help file.


Installing and Configuring Microsoft SNA Server

This section covers installation for Microsoft SNA Server, SNA Server Client, and SNA Workstation.

If you are running Microsoft SNA Server, 3770Link can be run on either the same machine on which SNA Server is installed, or it can be run on a network connected client machine. If you plan on running 3770Link on a client machine, you will need to install Microsoft SNA Server Client on the client machine, in addition to installing SNA Server on the server machine. If you are running Microsoft SNA Workstation, 3770Link must be run on the same machine as SNA Workstation.

This section will give you a general overview of how to install SNA Server for use with 3770Link. For more detailed installation instructions, consult your SNA Server documentation.

Installing SNA Server

Regardless of whether you want to run 3770Link on the same machine as SNA Server, or you want to run 3770Link on a client machine, you need to install SNA Server. The following steps describe the minimum requirements for installing SNA Server for use with 3770Link. If you will be using SNA Server for anything other than 3770Link, you may have to modify the installation of SNA Server. For more detailed installation instructions, consult your SNA Server documentation.

The following steps assume that you are installing SNA Server version 4.0 from CD:

  1. Run the setup.exe program located in the \I386 directory of the SNA Server CD.

  2. Follow the instructions on the screen for entering your name and installation directory.

  3. When selecting components to be installed with SNA Server, the only option that may be required for use with 3770Link is the link service that corresponds to your communications hardware adapter.

    1. To specify which link service to install, select the Link Services option and then press the Change Option... button. Uncheck all of the link service items that do not correspond to your communications adapter.

    2. Consult your communications hardware documentation for which link service is appropriate to use. Your hardware vendor may have provided a CD, diskette, or other media from which the link service is installed. To save disk space, uncheck all of the components except the single link service that your communications hardware requires.

  4. When prompted to choose the server role, select "primary configuration server."

  5. When prompted to choose client/server protocols, most users will want to select TCP/IP only. Our experience has shown TCP/IP to be more reliable than named pipes, especially when the client is running under Windows 98.

  6. When prompted to choose the network subdomain name, select an appropriate name. You will probably want to choose the same name as your Windows NT domain.

  7. Select an account into which the SNA Server services should be installed. As far as 3770Link is concerned, it is acceptable to leave the account name blank and install all SNA services into the local system account.

  8. After pressing the Continue button, the files are copied from the CD to your installation drive, and the installation completes.

Installing SNA Server Client

For those who wish to run 3770Link on a client machine, you will need to install the SNA Server Client for Windows.

The following steps assume that you are installing SNA Server Client version 4.0 from CD:

  1. Run the setup.exe program located in the \clients\winnt\i386 directory of the SNA Server CD.

  2. Follow the instructions on the screen for entering your name and installation directory.

  3. When selecting components to be installed with SNA Server Client, none of the options presented are required for use with 3770Link. To save disk space, uncheck all of the options and press Continue to install only the core files necessary for use with 3770Link.

  4. When prompted to choose client/server protocols, most users will want to select TCP/IP. Our experience has shown TCP/IP to be more reliable than named pipes.

    The client/server protocol setting can be modified after installation is complete by running the SNA Client Configuration program and changing the "Transport" setting.

  5. When prompted to choose the client mode, choose "client locates servers in an SNA Server subdomain" if you wish for the client to automatically locate SNA Servers in the subdomain. Otherwise, choose "client locates servers by name" in order to be able to explicitly specify a sponsor SNA Server machine. We recommend the explicit method.

    The client mode setting can be modified after installation is complete by running the SNA Client Configuration program and selecting either "local" or "remote" for the client mode.

  6. Depending on the client mode you chose in the previous step, you are then prompted for either the SNA Server subdomain name or the machine name. Enter the correct name in the field given.

    Both the subdomain name and the machine name settings can be modified after installation is complete by running the SNA Client Configuration program.

  7. After pressing the Continue button, the files are copied from the CD to your installation drive, and the installation completes.

Installing SNA Workstation

The following steps describe the minimum requirements for installing SNA Workstation for use with 3770Link. For more detailed installation instructions, consult your SNA Workstation documentation.

The following steps assume that you are installing SNA Workstation version 4.0 from CD:

  1. Run the setup.exe program located in the \I386 directory of the SNA Workstation CD.

  2. Follow the instructions on the screen for entering your name, CD key, and installation directory.

  3. When selecting components to be installed with SNA Workstation, the only option that may be required for use with 3770Link is the link service that corresponds to your communications hardware adapter.

    To specify which link service to install, select the Link Services option and then press the Change Option... button. Uncheck all of the link service items that do not correspond to your communications adapter.

    Consult your communications hardware documentation for which link service is appropriate to use. Your hardware vendor may have provided a CD, diskette, or other media from which the link service is installed. To save disk space, uncheck all of the components except the single link service that your communications hardware requires.

  4. After pressing the Continue button, the files are copied from the CD to your installation drive, and the installation completes.

Configuring SNA Server and SNA Workstation for use with 3770Link

For the remainder of this section, the words "SNA Server" will be used to refer to both SNA Server and SNA Workstation, since the configuration of these two products for use with 3770Link is identical.

Regardless of whether you want to run 3770Link on the same machine as SNA Server, or you want to run 3770Link on a client machine, you need to configure SNA Server. The following steps describe how to configure SNA Server for use with 3770Link.

The following steps assume that you are using SNA Manager version 2000

  1. Run the Microsoft SNA Server Manager utility.

  2. Select the SNA Server that you wish to configure. You should see a window similar to the one below:

  3. Using the mouse, right click on the selected SNA Server and then select New->Link Service.... You should see a window similar to the one below:

  4. After selecting New->Link Service..., you should see a window similar to the following:

  5. From the list of link services, select the link service that you wish to insert, then press the Add button and follow the directions for installing the link service.

  6. After the link service is successfully installed, the next step is to create a new connection which will use the link service. Using the mouse, expand the chosen server down to Connections and right click there, then select New. You should see a window similar to the one below:

  7. From the list of connection types, select the type of connection you wish to insert.

  8. At this point, you should see a Connection Properties dialog specific to the type of connection you have selected. Enter a name for this connection and select the link service that you just installed. The input screen looks like the following:

  9. Configure any other parameters that are required for this type of connection. You may need to consult your communcations hardware documentation and the host system administrator. Most often, the default settings will suffice. The settings that will most likely need to be changed are Encoding and Poll Address.

    After inserting the connection, you should see a screen similar to the following:

  10. Now it is time to insert Logical Units (LUs) into the connection. This is done by right clicking on the connection and then selecting New->Application LU (LUA) as shown below:

    Note

    SNA Server does not provide an LU type that is specific to 3770; instead, 3770Link is configured as a 3270 Application LU.

  11. You should see a 3270 LU Properties dialog box as shown below.

    Enter the LU number for this LU. For LUs on 802.2, SDLC, or X.25 connections, check with the administrator of the host system for the correct value; it should match the LOCADDR= parameter of the LU definition in VTAM or in the NCP Gen. If the LU is on a DFT connection, it does not use an LU number but requires other identifying numbers instead. For more information, see the SNA Server documentation.

  12. Enter the LU name for this LU and press OK. This LU name will later be presented by 3770Link when assigning LUs to a 3770Link connection. The LU name does not need to match any host parameters.

  13. Additional LUs may be inserted if necessary.

  14. After modifying LUs or Connections, it is necessary to save the configuration. Do this by selecting the Action->Save configuration menu.

  15. After the new configuration is saved, you will want to start the SNA Server service. Do this by selecting the SNA Server you wish to start, and then select the SNA Service->Start menu.

    If the service starts successfully, you should see the state of the SNA Server change from [Inactive] to [Active] and the state of the Connection should change to [OnDemand]. If the states did not change, there is most likely a problem with the configuration of the communications hardware and the link service. Use the Windows Event Viewer utility for clues as to why the service will not start or consult your communications hardware vendor.


Installing and Configuring IBM Communications Server

This section describes installation for IBM Communications Server for Windows NT and the IBM SNA API Clients.

If you are running IBM Communications Server for Windows NT, 3770Link can be run on either the same machine on which Communications Server is installed, or 3770Link can be run on a network connected client machine. If you plan on running 3770Link on a client machine, you will need to install the IBM SNA API Client on the client machine, in addition to installing Communications Server on the server machine.

This section will give you a general overview of how to install Communications Server for use with 3770Link. For more detailed installation instructions, consult your Communications Server documentation.

Installing Communications Server

Regardless of whether you want to run 3770Link on the same machine as Communications Server, or you want to run 3770Link on a client machine, you need to install Communications Server. The following steps describe the minimum requirements for installing Communications Server for use with 3770Link. If you will be using Communications Server for anything other than 3770Link, you may have to modify the installation of Communications Server. For more detailed installation instructions, consult your Communications Server documentation.

The following steps assume that you are installing Communications Server version 5.0 from CD:

  1. Run the setup.exe program located in the root directory of the IBM CS NT 5.0 CD.

  2. Double click on the Communications Server for Windows NT icon.

  3. Follow the instructions on the screen for completing the installation.

Installing SNA API Clients

For those who wish to run 3770Link on a client machine in conjunction with IBM Communications Server for Windows NT on a server machine, you will need to install the SNA API Clients for Windows 98, or Windows NT.

The following steps assume that you are installing the IBM SNA API Clients version 5.0 from CD:

  1. Run the setup.exe program located in the root directory of the IBM Communication Server NT CD.

  2. Double click on the SNA API Clients icon.

  3. Follow the instructions on the screen for completing the installation.

Configuring IBM Communications Server for use with 3770Link

Regardless of whether you want to run 3770Link on the same machine as Communications Server, or you want to run 3770Link on a client machine, you need to configure Communications Server. The following steps describe how to configure Communications Server for use with 3770Link.

The following steps assume that you are configuring Communications Server version 5.0:

  1. Run the IBM SNA Node Configuration utility.

  2. If you will be running 3770Link on the same machine as Communications Server, you will need to configure a 3270/LUA Applications scenario through the Scenarios menu. Or, if you will be running 3770Link from a client machine, you will need to configure a SNA API Clients running 3270 or other LUA applications scenario through the Scenarios menu.

    Select one of the above scenarios and follow the sequence of defining the various configuration options that the program presents to you.

  3. When defining a Gateway Connection, assign LUs of type Unknown for use with 3770Link.

  4. Be sure to save your configuration once it is complete.